# Class TSparkParameterValue

java.lang.Object
org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>
com.databricks.jdbc.model.client.thrift.generated.TSparkParameterValue

All Implemented Interfaces:
  `Serializable`, `Comparable<TSparkParameterValue>`, `org.apache.thrift.TBase<TSparkParameterValue,TSparkParameterValue._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TSparkParameterValue extends org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TSparkParameterValue._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TSparkParameterValue._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

## Constructor Summary

Constructors
Constructor
Description
`TSparkParameterValue()`
`TSparkParameterValue(TSparkParameterValue other)`
`TSparkParameterValue(TSparkParameterValue._Fields setField, Object value)`

## Method Summary

Modifier and Type
Method
Description
`static TSparkParameterValue`
`booleanValue(boolean value)`
`protected void`
`checkType(TSparkParameterValue._Fields setField, Object value)`
`int`
`compareTo(TSparkParameterValue other)`
`TSparkParameterValue`
`deepCopy()`
`static TSparkParameterValue`
`doubleValue(double value)`
`protected TSparkParameterValue._Fields`
`enumForId(short id)`
`boolean`
`equals(TSparkParameterValue other)`
`boolean`
`equals(Object other)`
`TSparkParameterValue._Fields`
`fieldForId(int fieldId)`
`boolean`
`getBooleanValue()`
`double`
`getDoubleValue()`
`protected org.apache.thrift.protocol.TField`
`getFieldDesc(TSparkParameterValue._Fields setField)`
`String`
`getStringValue()`
`protected org.apache.thrift.protocol.TStruct`
`getStructDesc()`
`int`
`hashCode()`
`boolean`
`isSetBooleanValue()`
`boolean`
`isSetDoubleValue()`
`boolean`
`isSetStringValue()`
`void`
`setBooleanValue(boolean value)`
`void`
`setDoubleValue(double value)`
`void`
`setStringValue(String value)`
`protected Object`
`standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void`
`standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`
`static TSparkParameterValue`
`stringValue(String value)`
`protected Object`
`tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void`
`tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### metaDataMap

public static final Map<TSparkParameterValue._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TSparkParameterValue

public TSparkParameterValue()

### TSparkParameterValue

public TSparkParameterValue(TSparkParameterValue._Fields setField, Object value)

### TSparkParameterValue

public TSparkParameterValue(TSparkParameterValue other)

## Method Details

### deepCopy

public TSparkParameterValue deepCopy()

### stringValue

public static TSparkParameterValue stringValue(String value)

### doubleValue

public static TSparkParameterValue doubleValue(double value)

### booleanValue

public static TSparkParameterValue booleanValue(boolean value)

### checkType

protected void checkType(TSparkParameterValue._Fields setField, Object value) throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>`
Throws:
  `ClassCastException`

### standardSchemeReadValue

protected Object standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field) throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### standardSchemeWriteValue

protected void standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeReadValue

protected Object tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeWriteValue

protected void tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### getFieldDesc

protected org.apache.thrift.protocol.TField getFieldDesc(TSparkParameterValue._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>`

### getStructDesc

protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>`

### enumForId

protected TSparkParameterValue._Fields enumForId(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields>`

### fieldForId

public TSparkParameterValue._Fields fieldForId(int fieldId)

### getStringValue

public String getStringValue()

### setStringValue

public void setStringValue(String value)

### getDoubleValue

public double getDoubleValue()

### setDoubleValue

public void setDoubleValue(double value)

### getBooleanValue

public boolean getBooleanValue()

### setBooleanValue

public void setBooleanValue(boolean value)

### isSetStringValue

public boolean isSetStringValue()

### isSetDoubleValue

public boolean isSetDoubleValue()

### isSetBooleanValue

public boolean isSetBooleanValue()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TSparkParameterValue other)

### compareTo

public int compareTo(TSparkParameterValue other)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`